=== src/driver/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id$
# -------------------------------------------------------------------- 

include ../../Makefile.config
include ../../Makefile.drivers
include ../../Makefile.modemlib

# --------------------------------------------------------------------

INCLUDE =-I.. -I../client -I../parser
HDRS    =../common/common.h ../logfile/logfile.h driver.h ../error.h

# --------------------------------------------------------------------

all: ../../Makefile.drivers sms_driver.a

../../Makefile.drivers: ../../drivers
	cd ../.. ; sh configure -drivers
	$(MAKE) all

clean:
	$(RM) *.o *.bak sms_driver.a

# --------------------------------------------------------------------

sms_driver.a: $(DRV_OBJ) driver.o driver_comms.o ../../Makefile.drivers
	$(RM) sms_driver.a
	$(AR) sms_driver.a driver.o driver_comms.o $(DRV_OBJ)
	$(RANLIB) sms_driver.a

driver.o: driver.c driver.h ../common/common.h ../logfile/logfile.h ../../Makefile.config ../../Makefile.drivers ../../Makefile.modemlib
	$(CC) $(INCLUDE) $(CFLAGS) -c driver.c $(DRV_DEF) \
	-DMSERVICEDIR="\"$(MSERVICEDIR)\"" \
	-DMODEMLIB=$(MODEMLIB) \
	-DLIBMODEM=$(LIBMODEM) \
	-DSMSMODEM=$(SMSMODEM)

driver_comms.o: driver_comms.c driver_comms.h ../common/common.h ../logfile/logfile.h ../../Makefile.config ../../Makefile.drivers ../../Makefile.modemlib
	$(CC) $(INCLUDE) $(CFLAGS) -c driver_comms.c $(DRV_DEF) \
	-DMODEMLIB=$(MODEMLIB) \
	-DLIBMODEM=$(LIBMODEM) \
	-DSMSMODEM=$(SMSMODEM)

# --------------------------------------------------------------------

tap.o: tap.c ascii.h $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c tap.c

vodafone.o: vodafone.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c vodafone.c

vodacom.o: vodacom.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c vodacom.c

mtn.o: mtn.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c mtn.c

orange.o: orange.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c orange.c

pageone.o: pageone.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c pageone.c

one2one.o: one2one.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c one2one.c

libertel.o: libertel.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c libertel.c

tim.o: tim.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c tim.c

snpp.o: snpp.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c snpp.c

cimd.o: cimd.c $(HDRS) ascii.h
	$(CC) $(INCLUDE) $(CFLAGS) -c cimd.c

kpn.o: kpn.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c kpn.c

www.o: www.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c www.c

proximus.o: proximus.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c proximus.c

answer.o: answer.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c answer.c

ucp.o: ucp.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c ucp.c

vodapage_block.o: vodapage_block.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c vodapage_block.c

skeleton.o: skeleton.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c skeleton.c

generic.o: generic.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c generic.c -DMSERVICEDIR="\"$(MSERVICEDIR)\"" 

orange_web.o: orange_web.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c orange_web.c

cellnet_web.o: cellnet_web.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c cellnet_web.c

proximus_web.o: proximus_web.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c proximus_web.c

att_web.o: att_web.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c att_web.c

nextel_web.o: nextel_web.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c nextel_web.c

pagenet_web.o: pagenet_web.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c pagenet_web.c

# --------------------------------------------------------------------
