=== src/parser/gs_api/Makefile ===
# --------------------------------------------------------------------
# --------------------------------------------------------------------

CC     = gcc
CFLAGS = -g
INC    = -I.. -I../..
AR     = /usr/ccs/bin/ar
RANLIB = echo

# --------------------------------------------------------------------

all: gs_api.a

test: api_test

clean:
	rm -f *.o api_test
	rm -f gs_api.a
	rm -f core log

# --------------------------------------------------------------------

../../logfile/logfile.o: ../../logfile/logfile.c ../../logfile/logfile.h
	cd ../../logfile ; $(MAKE) logfile.o

../../common/common.o: ../../common/common.c ../../common/common.h
	cd ../../common ; $(MAKE) common.o

gs_parser: 
	cd ../ ; $(MAKE) gs_parser.a

# --------------------------------------------------------------------

gs_api.a: gs_create.o gs_load.o gs_save.o gs_type.o gs_getvar.o gs_getlist.o gs_getdict.o  
	$(AR) -rc gs_api.a gs_create.o gs_load.o gs_save.o gs_type.o gs_getvar.o gs_getlist.o gs_getdict.o
	$(RANLIB) gs_api.a

api_test: api_test.o gs_api.a ../../logfile/logfile.o ../../common/common.o gs_parser
	$(CC) -o api_test api_test.o gs_api.a ../../logfile/logfile.o ../../common/common.o ../gs_parser.a

api_test.o: api_test.c
	$(CC) $(CFLAGS) $(INC) -c api_test.c -DLOGFILE=\"log\" -DLOGLEVEL=3 

gs_create.o: gs_create.c gs_create.h
	$(CC) $(CFLAGS) $(INC) -c gs_create.c

gs_load.o: gs_load.c gs_load.h
	$(CC) $(CFLAGS) $(INC) -c gs_load.c

gs_save.o: gs_save.c gs_save.h
	$(CC) $(CFLAGS) $(INC) -c gs_save.c

gs_type.o: gs_type.c gs_type.h
	$(CC) $(CFLAGS) $(INC) -c gs_type.c

gs_getvar.o: gs_getvar.c gs_getvar.h
	$(CC) $(CFLAGS) $(INC) -c gs_getvar.c

gs_getlist.o: gs_getlist.c gs_getlist.h
	$(CC) $(CFLAGS) $(INC) -c gs_getlist.c

gs_getdict.o: gs_getdict.c gs_getdict.h
	$(CC) $(CFLAGS) $(INC) -c gs_getdict.c

# --------------------------------------------------------------------
