## smsclient 2.0.8z-2

=== debian/changelog ===
smsclient (2.0.8z-2) unstable frozen; urgency=low

  * ahhh, ugggly bug :-) Nothing worth to be mentioned here, however.

 -- Michael Holzt <kju@debian.org>  Sun,  3 Mar 2002 17:12:53 +0100

smsclient (2.0.8z-1) unstable frozen; urgency=low

  * Changed UK numbers (closes: Bug#101103)
  * Changed Directory for services (closes: Bug#132112)

 -- Michael Holzt <kju@debian.org>  Sun,  3 Mar 2002 16:01:57 +0100

smsclient (2.0.8y-2) unstable frozen; urgency=low

  * Minor fixes.
  * Bug close again. (closes: Bug#97900, Bug#66403, Bug#63882, Bug#63883)

 -- Michael Holzt <kju@debian.org>  Sun, 10 Jun 2001 21:22:23 +0200

smsclient (2.0.8y-1) unstable frozen; urgency=low

  * New upstrem version 2.0.8y (closes #97900)
  * Several fixes (closes #66403, #63882, #63883)

 -- Michael Holzt <kju@debian.org>  Sun, 27 May 2001 14:58:09 +0200

smsclient (2.0.8r-7) unstable frozen; urgency=low

  * Fixed transmission of german character 'sz' (sharp s) to the 
    correct value regarding GSM standard TS 03.38 (DeTeMobil's wrong
    documentation sucks!) (closes #59485)

 -- Michael Holzt <kju@debian.org>  Fri, 28 Apr 2000 00:34:49 +0200

smsclient (2.0.8r-6) unstable frozen; urgency=low

  * Changed call to logrotation (closes #57653), this also added
    creation of logfile when installing, which fixes #44745 in
    a much better way.

 -- Michael Holzt <kju@debian.org>  Fri, 28 Apr 2000 00:34:42 +0200

smsclient (2.0.8r-5) unstable frozen; urgency=low

  * Fixed bug with 8bit character handling in TAP (closes #57059) 

 -- Michael Holzt <kju@debian.org>  Sun,  6 Feb 2000 02:21:16 +0100

smsclient (2.0.8r-4) unstable frozen; urgency=low

  * Fixed name of logfile in manpage (should close #52445)

 -- Michael Holzt <kju@debian.org>  Sun, 16 Jan 2000 22:20:38 +0100

smsclient (2.0.8r-3) unstable; urgency=low

  * Fixed directory for manpages

 -- Michael Holzt <kju@debian.org>  Sat, 16 Oct 1999 15:40:58 +0200

smsclient (2.0.8r-2) unstable; urgency=low

  * mostly cosmetic changes
  * fix for logfile rights (should close #44745)

 -- Michael Holzt <kju@debian.org>  Mon, 11 Oct 1999 14:12:49 +0200

smsclient (2.0.8r-1) unstable; urgency=low

  * new upstream version 2.0.8r

 -- Michael Holzt <kju@debian.org>  Sun, 10 Oct 1999 11:23:32 +0200

smsclient (2.0.7s3-6) unstable; urgency=low

  * corrected answer.c to include <string.h>

 -- Michael Holzt <kju@debian.org>  Sat,  3 Jul 1999 00:18:37 +0200

smsclient (2.0.7s3-5) unstable; urgency=low

  * -fsigned-char added to compile options

 -- Michael Holzt <kju@debian.org>  Thu, 22 Apr 1999 01:17:35 +0200

smsclient (2.0.7s3-4) unstable; urgency=low

  * Initial Release.

 -- Michael Holzt <kju@debian.org>  Thu, 15 Apr 1999 00:13:16 +0200

Local variables:
mode: debian-changelog
End:
