## smsclient 2.0.8z-4

=== debian/changelog ===
smsclient (2.0.8z-4) unstable; urgency=low

  * New maintainer. (closes: #216212)
  * Fixed cellnet/vodafone_tap numbers. (closes: #141685)
  * Fixed German D2 SMSc number. (closes: #156467)
  * Fixed Telstra SMS/TAP number. (closes: #232123)
  * Fixed UK Orange SMSc number.
  * Switch to gettext debconf templates. (closes: #202804)
  * Added German translation. (closes: #138597)
  * Added French translation. (closes: #202806)
  * Updated copyright info (upstream URL etc).
  * Added man page for sms_address.

 -- Jonathan McDowell <noodles@earth.li>  Mon, 22 Mar 2004 20:33:00 +0000

smsclient (2.0.8z-3) unstable; urgency=low

  * Orphaning package and setting maintainer to
    Debian QA Group <packages@qa.debian.org>. Sorry for that.

 -- Michael Holzt <kju@debian.org>  Fri, 17 Oct 2003 12:03:15 +0200
