=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: smsclient
 Section: comm
 Priority: optional
-Maintainer: Michael Holzt <kju@debian.org>
-Build-Depends: debhelper
-Standards-Version: 3.5.2
+Maintainer: Jonathan McDowell <noodles@earth.li>
+Build-Depends: debhelper (>= 4.1.16)
+Standards-Version: 3.6.1
 
 Package: smsclient
 Architecture: any
