=== debian/rules ===
--- 
+++ 
@@ -63,7 +63,6 @@
 #	dh_installinit
 	dh_installcron
 	dh_installmanpages
-	dh_undocumented sms_address.1
 	dh_link
 	dh_strip
 	dh_compress -A
