## smsclient 2.0.8z-5

=== debian/changelog ===
smsclient (2.0.8z-5) unstable; urgency=low

  * Fix debconf dependancy (sorry for the delay Joey).
  * Added Dutch translation, thanks to Luk Claes. (closes: #274899)
  * Added Czech translation, thanks to Martin Šín. (closes: #311699)
  * Added Vietnamese translation, thanks to Clytie Siddall. (closes: #318598)

 -- Jonathan McDowell <noodles@earth.li>  Thu, 01 Sep 2005 17:02:02 +0100
