=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: smsclient
 Architecture: any
-Depends: ${shlibs:Depends},debconf
+Depends: ${shlibs:Depends},${misc:Depends}
 Suggests:
 Description: A program for sending short messages (SM / SMS)
  smsclient is a tool for sending short messages (SM - often false
