## smsclient 2.0.8z-7

=== debian/changelog ===
smsclient (2.0.8z-7) unstable; urgency=low

  * Updated French translation, thanks to Michel Grentzinger.
    (closes: #379469)
  * Updated Portuguese translation, thanks to Rui Branco. (closes: #381199)
  * Updated Swedish translation, thanks to Daniel Nylander. (closes: #387517)
  * Updated Dutch translation, thanks to Kurt De Bree. (closes: #389788)
  * Updated Czech translation, thanks to Martin Šín. (closes: #391545)

 -- Jonathan McDowell <noodles@earth.li>  Tue, 14 Nov 2006 09:57:33 +0000

smsclient (2.0.8z-6) unstable; urgency=low

  * Add debian/compat to set debhelper compat level to 4.
    - Removed debian/conffiles as debhelper looks after the /etc files for
      us now.
  * Change dh_installmanpages usage to dh_installman.
  * Add Swedish translation, thanks to Daniel Nylander. (closes: #330614)
  * Add Portuguese translation, thanks to Rui Branco. (closes: #333598)
  * Clean up logfiles upon package purge. (closes: #330533)
  * Use /usr/share/smsclient for service definitions; there's no reason
    for these to go under /usr/lib/smsclient as they're architecture
    independent.
  * Remove non-working SMS web backends, thanks to Michael Dorrington.
    - att_web (closes: #121479)
    - cellnet_web
    - nextel_web
    - orange_web
    - pagenet_web
    - proximus_web
  * Various code cleanups to eliminate compiler warnings (mostly failing
    to include appropriate headers).
  * Bump Standards-Version to 3.7.2.0 (no changes).

 -- Jonathan McDowell <noodles@earth.li>  Sat, 22 Jul 2006 14:23:34 +0100
