=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jonathan McDowell <noodles@earth.li>
 Build-Depends: debhelper (>= 4.1.16)
-Standards-Version: 3.6.1
+Standards-Version: 3.7.2.0
 
 Package: smsclient
 Architecture: any
